using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial interface IDT_CONVERSATION_LIGNEService
    {
		#region CRUD de la table DT_CONVERSATION_LIGNE
		Task<bool> Create_Async(DT_CONVERSATION_LIGNE_DTO dt_conversation_ligne);
		Task<bool> Update_Async(Guid ID_CONVERSATION_LIGNE, DT_CONVERSATION_LIGNE_DTO dt_conversation_ligne);
		Task<bool> Delete_Async(Guid ID_CONVERSATION_LIGNE);
		Task<IEnumerable<DT_CONVERSATION_LIGNE_DTO>> GetAll_Async(bool IsActifOnly=false);
		Task<DT_CONVERSATION_LIGNE_DTO?> GetById_Async(Guid ID_CONVERSATION_LIGNE);
		#endregion

		#region By_ID_CONVERSATION
		Task<IEnumerable<DT_CONVERSATION_LIGNE_DTO>> GetAll_By_ID_CONVERSATION_Async(Guid ID_CONVERSATION);
		Task<int> GetCount_By_ID_CONVERSATION_Async(Guid ID_CONVERSATION);
		Task<bool> Delete_By_ID_CONVERSATION_Async(Guid ID_CONVERSATION);
		#endregion



    }
}
